ALLEGRO(1)

NAME
allegro-config - script to get information about the installed version of Allegro

SYNOPSIS
allegro-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags] [--static] [--shared] [--env] [release|debug|profile]

DESCRIPTION

allegro-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use the Allegro library. It is intended to be used on Unix systems instead of the simple "-lalleg" call.

EXAMPLE
gcc -o mygame mygame.o `allegro-config --libs`

allegro-config will insert arguments needed to link into the command line.

OPTIONS
allegro-config accepts the following options:

--version
    Print the currently installed version of Allegro on the standard output.

--libs
    Print the linker flags that are necessary to link an Allegro program.

--cflags
    Print the compiler flags that are necessary to compile an Allegro program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that Allegro was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that Allegro was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

--static
    Like --libs, but always print the linker flags needed to get a statically linked executable.

--shared
    Like --libs, but always print the linker flags needed to get an executable linked against shared libs.

--env
    Print some needed environment variables in the way needed in shell scripts. Output may be loaded into your environment using BASH#> eval `allegro-config --env`

release
    This will use the optimized Allegro library which you should use when you are compiling for a release.

debug
    This will add extra debug info into your programs, useful to find out where your program crashed or simply to debug it (names of functions are seen). You may choose this option while developing a program.

profile
    This may be used when you want to profile your program - i.e. measure the speeds of various function calls.

SEE ALSO
allegro-dev-tools(1)
The allegro info entry

COPYRIGHT
This manual page was written by Eduard Bloch <blade@debian.org>, for the Debian GNU/Linux system (but may be used by others). It is heavily based on a similar manpage for gtk-config, written by Owen Taylor. His notice: Copyright © 1998 Owen Taylor Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.